// Layout overrides (EverydayAI overriding GUTS)

.l-content {
  margin-top: 1rem;
}

// Utility

.two-columns {
  flex-direction: row;
  display: flex;
  flex-wrap: wrap;
}

.two-columns .block--block-content {
  display: block;
  flex-basis: 30rem;
  flex-shrink: 0;
  margin-bottom: 1em;
}

// Ensure centered images stay centered
.text-center .img-responsive {
  display: inline-block;
}

// When linking teaser content to full node, undo some link stylings.
.link--content {
  color: $text-color;
  &:hover {
    text-decoration: none;
    color: $text-color;
  }
}

.more-link {
  width: 100%;
  a {
    margin-top: 2.5em;
    margin-bottom: 1em;
    margin-right: 2em;
    border-radius: 15%;
    background-color: #64A083;
    float: right;
    color: #fff;
    width: 60px;
    padding: 5px 10px;
  }
}

// Header

.wordmark-ai {
  &[title] {
    border-bottom: none;
  }
  text-decoration: none;
  text-transform: lowercase;
  font-weight: bold;
  font-size: larger;
}

// Sidebar

.block--sidebar {
  background-color: $gray-lightest;
  padding: 0 1.5em 1.5em;
  margin-bottom: 1.5em;
}

.block--search-top {
  background: linear-gradient(transparent 40%, $gray-lighter 40%);
  margin-bottom: 0;
}

.block--search-top + .block--together {
  padding-top: 1em;
}

.block--together {
  margin-bottom: 0;
  // I really hate the box-breaking aspect of vertical margins.
  ul {
    margin-bottom: 0;
    padding-bottom: 11.5px;
  }
}

.block--search-top + .block--together,
.block--together + .block--together {
  padding-bottom: .5em;
  margin-top: 0;
  h2 {
    margin-top: 0;
  }
}


// Book

.book-tree p {
  display: inline;
  margin: 0;
}


// Footer

footer {
  color: $text-muted;
  margin-bottom: 1em;
  font-size: $font-size-small;
}

#block-license {
  border-top: 1px solid #999B94;
  padding-top: 5px;
  margin-top: 5px;
  color: $text-muted;
  margin-bottom: 1em;
  font-size: $font-size-small;
  clear: both;
}

// Header

h1.site-name {
  margin-top: 30px;
  color: #45201C;
  min-width: 20rem;;
}

.chalkboard {
  background-image: url('../images/sky.svg');
  background-size: cover;
  background-position: top center;
  padding-top: .5em;
}

.breadcrumb {
  border-bottom: dotted $gray-darker 3px;
  border-radius: 0;
  margin-bottom: 0;
  padding-left: 0;
  font-family: $font-family-serif;
  font-size: $font-size-large;
  a {
    color: $breadcrumb-color;
  }
}

// Match margin which multivalue fields receive via .list-inline > li
.field-single span {
  margin-right: 5px;
}
// ... but exempt city name before comma.
// TODO rethink achieving above without needing exemptions.
.field-single span.locality {
  margin-right: 0;
}

.form-group {
  margin-bottom: 0.8rem;
}

.bio {

  ul {
    padding-left: 0;
    li {
      list-style: none;
    }
  }

  img {
    border-radius: 50%;
  }
}

// Resources.
.resource {
  .resource-image {
    margin-bottom: 2em;
  }
}

// News

.news-media {
  margin-bottom: 1.5rem;
}

.news-button {
  margin: 10px 0;
}


// Mini Pager.
.js-pager__items {
  display: inline;
  padding-left: 0;
  li {
    display: inline;
    list-style: none;
    padding-left: 0;
  }
}

// User edit form page.
.fieldgroup {
  label.option {
    font-weight: normal;
  }
}

#edit-personal-digest {
  .tabledrag-toggle-weight {
    display: none;
  }
  .draggable {
    .tabledrag-handle {
      display: none;
    }
  }
}

// Used for Resources... and elsewhere?

aside .block--block-content {
  background-image: url(../images/graphpapergrid.jpg);
  background-repeat: repeat;
  background-size: 100%;
  padding: 1.5em;
  padding-top: .5em;
  margin-bottom: 1.5em;
}

aside .block--block-content h2 {
  color: black;
}


#block-kidneys-local-actions.contextual-region {
  position: static;
}

// Remove bullets from action links list items, as the links themselves
// get Bootstrap button styling.
// This first selector is specific and ugly but adding the class isn't easy.
li.action-links {
  list-style: none;
  position:absolute;
  top: 66px;
  right: 10px;
}
/* Landscape phones and down */
@media (max-width: 480px) {
  li.action-links {
    position: static;
  }
}

.block--graph-paper {
  background-image: url("../images/graphpapergrid.jpg");
  background-repeat: repeat;
  background-size: 100%;
  padding-top: 0.5em;
}

// Teasers

.teaser {
  margin-bottom: 1.5em;
  margin-top: 1.5em;
}

.teaser--image {
}

.teaser--content {
  h2 {
    line-height: 1;
    margin-bottom: .2em;
    margin-top: 0;
    a {
      color: black;
    }
  }
}

.teaser--posted {
  text-transform: uppercase;
  font-size: small;
  font-weight: bold;
  margin-right: .3em;
}

// Forms

.form--element--help {
    display: inline-block;
    padding: 0px 6px;
    position: relative;
}

.form--element--help .help-block {
    opacity: 0;
    position: absolute;
    top: 32px;
    background: $gray-lightest;
    border: 1px solid transparent;
    border-radius: $border-radius-base;
    height: 0;
    padding: 0 12px;
    width: 20em;
    z-index: 1;
    overflow: hidden;
    transition: all 500ms;
}

.form--element--help:hover .help-block {
    padding: 10px;
    height: auto;
    opacity: 1;
    border: 1px solid $gray-light;
}

// Dirty hack but Drupal is outputting two form-element.html elements with
// identical IDs of edit-keyword so the ugliness seems to be due to core bug.
.col-md-4 .search--keyword-field {
  width: 70%;
  display: inline-block;
}

// Utility... hacks.

.vertical-center-outer {
  display: table;
  height: 300px;
}

.vertical-center-cell {
  display: table-cell;
  vertical-align: middle;
  height: 70px;
}

.full-width {
  display: block;
}

// Sections colors.
@mixin section-color($color) {
  h2 {
    color: $color;
  }
  .breadcrumb {
    li:last-child, li:last-child a {
      color: $color;
    }
    // Set the home link back to grey, even if it's the only link.
    .breadcrumb--home a:only-child {
      color: $breadcrumb-color;
    }
  }
  .more-link a {
    background-color: $color;
  }
  #block-kidneys-page-title,
  #block-kidneys-content {
    h2 a, h2 a:focus, h2 a:hover,
    h3 a, h3 a:focus h3 a:hover,
    h2,h3,h4,.label {
      color: $color;
      background-color: transparent;
    }
  }

  .navbar ul.navbar-nav ul li.active a {
    color: $color;
  }

  article footer a {
    color: $color;
  }

  .links--node,
  .comment-body {
    a {
      color: $color;
    }
  }

  a.btn, a.btn-success {
    background-color: $color;
    color: #FFF;
    border: none;
  }

  .navbar ul.navbar-nav ul li a:hover {
    background-color: $color;
  }
}

.discussions, .block--sidebar.discussions {
  @include section-color($discussions-color);
}
.members, .block--sidebar.members {
  @include section-color($members-color);
}
.resources, .block--sidebar.resources {
  @include section-color($resources-color);
}
.news, .block--sidebar.news {
  @include section-color($whatsnew-color);
}
.events, .block--sidebar.events {
  @include section-color($events-color);
}
.practice, .block--sidebar.practice {
  @include section-color($practice-color);
}
.help, .block--sidebar.help {
  @include section-color($help-color);
}

.block--sidebar--top {
  padding-top: 95px;
  margin-top: 80px;
  position: relative;
  & > h2 {
    position: absolute;
    text-indent: -9999px;
    background-position: center;
    background-repeat: no-repeat;
    height: 200px;
    width: 200px;
    left: 75px;
    z-index: 100;
    top: -110px;
  }

  h2 {
    font-size: 25px;
  }

  .members-facets-content {
    padding-bottom: 10px;
  }
}

.block--active-discussions {
  background-color: #FEF9EF;
}

.discussions .block--active-discussions  > h2 {
  background-image: url("../images/DiscussIt.svg");
  height: 135px;
  top: -80px;
}

.block--sidebar--top--members-search > h2 {
  background-image: url("../images/find_members_icon.svg");
}

.block--sidebar--top--resources-search > h2 {
  background-image: url("../images/find_resources_icon.svg");
}

.block--sidebar--top--events-search > h2 {
  background-image: url("../images/find_events_icon.svg");
}

.block--sidebar--top--current-challenges > h2 {
  background-image: url("../images/OpenChallenges.svg");
}

.block--sidebar--top--past-challenges > h2 {
  background-image: url("../images/PreviousChallenges.svg");
}

.block--sidebar--top--recent-uploads > h2 {
  background-image: url("../images/Recent_Uploads.svg");
}

// Circle icons.
.block-circle-title-icon h2 {
  height: 170px;
}

// Circle icons with letters at the top.
.block-icon-with-text {
  margin-top: 100px;
}

hr.turtles {
  display: block;
  border: 0;
  height: 4em;
  background-image: url('../images/Turtle_Green.svg');
  background-repeat: repeat-x;
  background-size: 3.5em;
}

hr.turtles--one {
  background-repeat: no-repeat;
  width: 3.5em;
}

hr.turtles--two {
  width: 7em;
}

hr.turtles--three {
  width: 10.5em;
}

.user-profile {
  margin-top: 1em;
}

.bio.sitewide-search-members {
  border-bottom: 1px solid #81837b;
  img {
    max-width: 70px;
    height: auto;
    border: 5px solid $members-color;
  }
}

@mixin sitewide-search($color, $icon) {
  h2 {
    a {
      color: $color;
    }
  }

  .label,
  h3 {
    color: $color;
    background-color: transparent;
  }
  span.label {
    text-transform: uppercase;
    font-size: 13px;
    font-weight: bold;
    padding-left: 0;
  }

  border-bottom: 1px solid #81837b;

  .section-icon {
    width: 61px;
    height: 70px;
    background: url($icon) no-repeat;
    display: block;
    margin: 0 auto;
  }
}

.sitewide-discussions {
  @include sitewide-search($discussions-color, '../images/DiscussRoundButton.svg');
}

.sitewide-news {
  @include sitewide-search($whatsnew-color, '../images/WhatsNewsRoundButton.svg');
}
.sitewide-resources {
  @include sitewide-search($resources-color, '../images/ResourcesRoundButton.svg');
}

.sitewide-faq {
  @include sitewide-search($resources-color, '../images/ResourcesRoundButton.svg');
}

.sitewide-curriculum {
  @include sitewide-search($resources-color, '../images/ResourcesRoundButton.svg');
}

.sitewide-events {
  @include sitewide-search($events-color, '../images/EventsRoundButton.svg');
}

#views-exposed-form-search-all-content-and-users-page-1 .search--keyword-field {
  width: 100%;
}

.hypothesis-files {
  span {
    display: inline-block;
    width: 120px;
    padding: 10px 0;
  }
}

.curriculum-teaser {
  img {
    width: 100%;
    height: auto;
  }
}

.featured-video {
  padding: 15px 0;
}

.curriculum-full {
  img {
    height: auto;
    display: block;
    margin: 15px auto;
  }
}

// Events

.event--title {
  margin-bottom: 0;
}

.event--date-and-type {
  margin-top: -0.5em;
  margin-bottom: 1em;
}

.event--date:after {
  content: "\b7";
  font-weight: bold;
  font-size: 1.4em;
}


.links.inline {
  padding-left: 0;
}

#block-expandsearchblock {
  margin: 10px 0;
}

#block-contactblock {
  summary {
    color: #8f2762;
    cursor: pointer;
  }

  #edit-field-search-wrapper {
    display: none;
  }
}


// Extra styling for Bootstrap badges

.list-inline {
  margin-top: 1rem;
}

.badge a,
.badge a:hover {
  color: white;
}


.practice--type--sidebar {
  color: $text-color;
  font-size: $font-size-h4;
}

.practice--challenge--sidebar {
  margin-top: 0;
  margin-bottom: 0.5em;
}

.practice--sidebar--link::after {
    content: ',';
}

.practice--sidebar--link:last-child::after {
    content: '';
}


// Temporary hack TODO do right
#edit-notify-type {
  display: none;
}

.block--white {
  background-color: white;
}

.block--sidebar--text-title {
  padding-top: 1em;
}

// TODO use a mixin to do this.  The mixin should be in Drupal core!
.field--name-comment-body label,
#edit-notify-type {
  position: absolute !important;
  clip: rect(1px, 1px, 1px, 1px);
  overflow: hidden;
  height: 1px;
  width: 1px;
  word-wrap: normal;
}

.ajax-progress-big.ajax-progress.ajax-progress-fullscreen {
  background: transparent url(../images/loader.gif) no-repeat 0px center;
  background-size: 100px 100px;
  width: 100px;
  height: 100px;
}

#block-category {
  margin-top: 100px;
  margin-bottom: 20px;
  padding-top: 70px;
  position: relative;

  &>h2 {
    position:absolute;
    display: block;
    background: url('../images/find_news_icon.svg') no-repeat center;
    height: 180px;
    text-indent: -9999px;
    width: 200px;
    left: 75px;
    top: -110px;
  }
}

.view-the-news {
  background: url('../images/View_News.svg') no-repeat;
}

.view-the-resource {
  background: url('../images/View_Resource.svg') no-repeat;
}

.actions {
  overflow: auto;
  .content--action {
    float: left;
    display: block;
  }

  .view-button {
    margin-top: 10px;
  }
}

// Hide the "About text formats" link in the comment field.
.comment-form .filter-help {
  display: none;
}

.row-with-separator {
  border-bottom: 1px solid #000;

  &:last-child {
    border-bottom: none;
  }
}

// Join GUTS block.
.join-mailing-list {
  margin: 20px 0;
  padding-bottom: 45px;
  position: relative;
  h2 {
    color: #000;
  }

  .join-guts-button {
    display: block;
    width: 100px;
    height: 100px;
    background: url('../images/Join_Us_Round.svg') no-repeat;
    text-indent: -9999px;
    position: absolute;
    top: 180px;
    left: 36%;

  }
}

.align-left {
  margin-right: 15px;
}

.align-right {
  margin-left: 15px;
}

.login-text {
  background-color: #FFF9EE;
}

.login-comments-button {
  text-align: center;
}

#block-sitewide-search-block {
  z-index: 99;
}
